import { ArchiveSource, BuildMode, BuildTrigger, Metadata, Workflow } from '@expo/eas-build-job';
import { LoggerLevel } from '@expo/logger';
import { BuildIosEnterpriseProvisioning, BuildMetadataInput, BuildWorkflow, BuildMode as GraphQLBuildMode, BuildTrigger as GraphQLBuildTrigger, ProjectArchiveSourceInput, WorkerLoggerLevel } from '../graphql/generated';
export declare function transformProjectArchive(archiveSource: ArchiveSource): ProjectArchiveSourceInput;
export declare function transformMetadata(metadata: Metadata): BuildMetadataInput;
export declare function transformWorkflow(workflow: Workflow): BuildWorkflow;
export declare function transformIosEnterpriseProvisioning(enterpriseProvisioning: Metadata['iosEnterpriseProvisioning']): BuildIosEnterpriseProvisioning;
export declare function transformBuildMode(buildMode: BuildMode): GraphQLBuildMode;
export declare function transformBuildTrigger(buildTrigger: BuildTrigger): GraphQLBuildTrigger;
export declare const loggerLevelToGraphQLWorkerLoggerLevel: Record<LoggerLevel, WorkerLoggerLevel>;
