"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const EasCommand_1 = tslib_1.__importDefault(require("../../commandUtils/EasCommand"));
const log_1 = tslib_1.__importDefault(require("../../log"));
class AccountLogin extends EasCommand_1.default {
    async runAsync() {
        const { flags: { sso }, } = await this.parse(_a);
        const { sessionManager } = await this.getContextAsync(_a, { nonInteractive: false });
        await sessionManager.showLoginPromptAsync({ sso });
        log_1.default.log('Logged in');
    }
}
_a = AccountLogin;
AccountLogin.description = 'log in with your Expo account';
AccountLogin.aliases = ['login'];
AccountLogin.flags = {
    // can pass either --sso or -s
    sso: core_1.Flags.boolean({
        description: 'Login with SSO',
        char: 's',
        default: false,
    }),
};
AccountLogin.contextDefinition = {
    ..._a.ContextOptions.SessionManagment,
};
exports.default = AccountLogin;
