import EasCommand from '../../commandUtils/EasCommand';
import { ExpoGraphqlClient } from '../../commandUtils/context/contextUtils/createGraphqlClient';
import { RequestedPlatform } from '../../platform';
export declare function selectBuildToCancelAsync(graphqlClient: ExpoGraphqlClient, projectId: string, projectDisplayName: string, filters?: {
    platform?: RequestedPlatform;
    profile?: string;
}): Promise<string | null>;
export default class BuildCancel extends EasCommand {
    static description: string;
    static args: {
        name: string;
    }[];
    static flags: {
        platform: import("@oclif/core/lib/interfaces").OptionFlag<RequestedPlatform | undefined>;
        profile: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        'non-interactive': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static contextDefinition: {
        vcsClient: import("../../commandUtils/context/VcsClientContextField").default;
        loggedIn: import("../../commandUtils/context/LoggedInContextField").default;
        privateProjectConfig: import("../../commandUtils/context/PrivateProjectConfigContextField").PrivateProjectConfigContextField;
    };
    runAsync(): Promise<void>;
}
