import EasCommand from '../../commandUtils/EasCommand';
import { EnvironmentSecretScope } from '../../graphql/queries/EnvironmentSecretsQuery';
import { SecretType } from '../../graphql/types/EnvironmentSecret';
export default class EnvironmentSecretCreate extends EasCommand {
    static description: string;
    static flags: {
        'non-interactive': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        scope: import("@oclif/core/lib/interfaces").OptionFlag<EnvironmentSecretScope>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        value: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        type: import("@oclif/core/lib/interfaces").OptionFlag<SecretType | undefined>;
        force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static contextDefinition: {
        loggedIn: import("../../commandUtils/context/LoggedInContextField").default;
        privateProjectConfig: import("../../commandUtils/context/PrivateProjectConfigContextField").PrivateProjectConfigContextField;
    };
    runAsync(): Promise<void>;
}
