"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignGoogleServiceAccountKeyForFcmV1 = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class AssignGoogleServiceAccountKeyForFcmV1 {
    constructor(app) {
        this.app = app;
    }
    async runAsync(ctx, googleServiceAccountKey) {
        const appCredentials = await ctx.android.createOrGetExistingAndroidAppCredentialsWithBuildCredentialsAsync(ctx.graphqlClient, this.app);
        const updatedAppCredentials = await ctx.android.updateAndroidAppCredentialsAsync(ctx.graphqlClient, appCredentials, {
            googleServiceAccountKeyForFcmV1Id: googleServiceAccountKey.id,
        });
        log_1.default.succeed(`Google Service Account Key assigned to ${this.app.androidApplicationIdentifier} for FCM V1`);
        return updatedAppCredentials;
    }
}
exports.AssignGoogleServiceAccountKeyForFcmV1 = AssignGoogleServiceAccountKeyForFcmV1;
