import { AndroidAppBuildCredentialsFragment, AndroidKeystoreFragment } from '../../../graphql/generated';
import { CredentialsContext } from '../../context';
import { AppLookupParams } from '../api/GraphqlClient';
interface Options {
    app: AppLookupParams;
    name?: string;
}
/**
 * Sets up Build Credentials for Android
 * @name: sets up build credentials for the specified configuration. If no name is specified, the default configuration is setup
 */
export declare class SetUpBuildCredentials {
    private options;
    constructor(options: Options);
    runAsync(ctx: CredentialsContext): Promise<AndroidAppBuildCredentialsFragment>;
    assignBuildCredentialsAsync({ ctx, app, name, keystore, }: {
        ctx: CredentialsContext;
        app: AppLookupParams;
        name?: string;
        keystore: AndroidKeystoreFragment;
    }): Promise<AndroidAppBuildCredentialsFragment>;
    getFullySetupBuildCredentialsAsync({ ctx, app, name, }: {
        ctx: CredentialsContext;
        app: AppLookupParams;
        name?: string;
    }): Promise<AndroidAppBuildCredentialsFragment | null>;
    getFullySetupBuildCredentialsByNameAsync({ ctx, app, name, }: {
        ctx: CredentialsContext;
        app: AppLookupParams;
        name: string;
    }): Promise<AndroidAppBuildCredentialsFragment | null>;
}
export {};
