import { Platform } from '@expo/eas-build-job';
import { CredentialsSource, DistributionType, IosEnterpriseProvisioning } from '@expo/eas-json';
import { App, IosCredentials, Target } from './types';
import { CredentialsContext } from '../context';
interface Options {
    app: App;
    targets: Target[];
    distribution: DistributionType;
    enterpriseProvisioning?: IosEnterpriseProvisioning;
}
export default class IosCredentialsProvider {
    private ctx;
    private options;
    readonly platform = Platform.IOS;
    constructor(ctx: CredentialsContext, options: Options);
    getCredentialsAsync(src: CredentialsSource.LOCAL | CredentialsSource.REMOTE): Promise<IosCredentials>;
    private getLocalAsync;
    private getRemoteAsync;
    private getPushKeyAsync;
    private disablePushNotificationsSetupInEasJsonAsync;
    private assertProvisioningProfileType;
}
export {};
