"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreatePushKey = void 0;
const tslib_1 = require("tslib");
const PushKeyUtils_1 = require("./PushKeyUtils");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class CreatePushKey {
    constructor(account) {
        this.account = account;
    }
    async runAsync(ctx) {
        if (ctx.nonInteractive) {
            throw new Error(`A new push key cannot be created in non-interactive mode.`);
        }
        const pushKey = await (0, PushKeyUtils_1.provideOrGeneratePushKeyAsync)(ctx);
        const result = await ctx.ios.createPushKeyAsync(ctx.graphqlClient, this.account, pushKey);
        log_1.default.succeed('Created push key');
        return result;
    }
}
exports.CreatePushKey = CreatePushKey;
