import { AppleDistributionCertificateMutationResult } from './graphql/mutations/AppleDistributionCertificateMutation';
import { AppleProvisioningProfileMutationResult } from './graphql/mutations/AppleProvisioningProfileMutation';
import { AppleProvisioningProfileQueryResult } from './graphql/queries/AppleProvisioningProfileQuery';
import { AppLookupParams } from './graphql/types/AppLookupParams';
import { ExpoGraphqlClient } from '../../../commandUtils/context/contextUtils/createGraphqlClient';
import { AccountFragment, AppStoreConnectApiKeyFragment, AppleAppIdentifierFragment, AppleDeviceFragment, AppleDistributionCertificateFragment, ApplePushKeyFragment, AppleTeamFragment, CommonIosAppCredentialsFragment, IosAppBuildCredentialsFragment, IosDistributionType } from '../../../graphql/generated';
import { DistributionCertificate, PushKey } from '../appstore/Credentials.types';
import { MinimalAscApiKey } from '../credentials';
export declare function createOrUpdateIosAppBuildCredentialsAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams, { appleTeam, appleAppIdentifierId, iosDistributionType, appleProvisioningProfileId, appleDistributionCertificateId, }: {
    appleTeam: AppleTeamFragment;
    appleAppIdentifierId: string;
    iosDistributionType: IosDistributionType;
    appleProvisioningProfileId: string;
    appleDistributionCertificateId: string;
}): Promise<IosAppBuildCredentialsFragment>;
export declare function getIosAppCredentialsWithBuildCredentialsAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams, { iosDistributionType }: {
    iosDistributionType?: IosDistributionType;
}): Promise<CommonIosAppCredentialsFragment | null>;
export declare function getIosAppCredentialsWithCommonFieldsAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams): Promise<CommonIosAppCredentialsFragment | null>;
export declare function createOrGetIosAppCredentialsWithCommonFieldsAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams, { appleTeam, }: {
    appleTeam?: AppleTeamFragment;
}): Promise<CommonIosAppCredentialsFragment>;
export declare function updateIosAppCredentialsAsync(graphqlClient: ExpoGraphqlClient, appCredentials: CommonIosAppCredentialsFragment, { applePushKeyId, ascApiKeyIdForSubmissions, }: {
    applePushKeyId?: string;
    ascApiKeyIdForSubmissions?: string;
}): Promise<CommonIosAppCredentialsFragment>;
export declare function createOrGetExistingAppleTeamAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment, { appleTeamIdentifier, appleTeamName }: {
    appleTeamIdentifier: string;
    appleTeamName?: string;
}): Promise<AppleTeamFragment>;
export declare function createOrGetExistingAppleAppIdentifierAsync(graphqlClient: ExpoGraphqlClient, { account, projectName, bundleIdentifier, parentBundleIdentifier }: AppLookupParams, appleTeam: AppleTeamFragment | null): Promise<AppleAppIdentifierFragment>;
export declare function getDevicesForAppleTeamAsync(graphqlClient: ExpoGraphqlClient, { account }: AppLookupParams, { appleTeamIdentifier }: AppleTeamFragment, { useCache }?: {
    useCache?: boolean;
}): Promise<AppleDeviceFragment[]>;
export declare function createProvisioningProfileAsync(graphqlClient: ExpoGraphqlClient, { account }: AppLookupParams, appleAppIdentifier: AppleAppIdentifierFragment, appleProvisioningProfileInput: {
    appleProvisioningProfile: string;
    developerPortalIdentifier?: string;
}): Promise<AppleProvisioningProfileMutationResult>;
export declare function getProvisioningProfileAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams, iosDistributionType: IosDistributionType, { appleTeam }?: {
    appleTeam: AppleTeamFragment | null;
}): Promise<AppleProvisioningProfileQueryResult | null>;
export declare function updateProvisioningProfileAsync(graphqlClient: ExpoGraphqlClient, appleProvisioningProfileId: string, appleProvisioningProfileInput: {
    appleProvisioningProfile: string;
    developerPortalIdentifier?: string;
}): Promise<AppleProvisioningProfileMutationResult>;
export declare function deleteProvisioningProfilesAsync(graphqlClient: ExpoGraphqlClient, appleProvisioningProfileIds: string[]): Promise<void>;
export declare function getDistributionCertificateForAppAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams, iosDistributionType: IosDistributionType, { appleTeam }?: {
    appleTeam: AppleTeamFragment | null;
}): Promise<AppleDistributionCertificateFragment | null>;
export declare function getDistributionCertificatesForAccountAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment): Promise<AppleDistributionCertificateFragment[]>;
export declare function createDistributionCertificateAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment, distCert: DistributionCertificate): Promise<AppleDistributionCertificateMutationResult>;
export declare function deleteDistributionCertificateAsync(graphqlClient: ExpoGraphqlClient, distributionCertificateId: string): Promise<void>;
export declare function createPushKeyAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment, pushKey: PushKey): Promise<ApplePushKeyFragment>;
export declare function getPushKeysForAccountAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment): Promise<ApplePushKeyFragment[]>;
export declare function getPushKeyForAppAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams): Promise<ApplePushKeyFragment | null>;
export declare function deletePushKeyAsync(graphqlClient: ExpoGraphqlClient, pushKeyId: string): Promise<void>;
export declare function createAscApiKeyAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment, ascApiKey: MinimalAscApiKey): Promise<AppStoreConnectApiKeyFragment>;
export declare function getAscApiKeysForAccountAsync(graphqlClient: ExpoGraphqlClient, account: AccountFragment): Promise<AppStoreConnectApiKeyFragment[]>;
export declare function getAscApiKeyForAppSubmissionsAsync(graphqlClient: ExpoGraphqlClient, appLookupParams: AppLookupParams): Promise<AppStoreConnectApiKeyFragment | null>;
export declare function deleteAscApiKeyAsync(graphqlClient: ExpoGraphqlClient, ascApiKeyId: string): Promise<void>;
