"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.httpsProxyAgent = exports.RequestError = void 0;
const tslib_1 = require("tslib");
const https_proxy_agent_1 = tslib_1.__importDefault(require("https-proxy-agent"));
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
tslib_1.__exportStar(require("node-fetch"), exports);
class RequestError extends Error {
    constructor(message, response) {
        super(message);
        this.response = response;
    }
}
exports.RequestError = RequestError;
function createHttpsAgent() {
    const httpsProxyUrl = process.env.https_proxy;
    if (!httpsProxyUrl) {
        return null;
    }
    return (0, https_proxy_agent_1.default)(httpsProxyUrl);
}
exports.httpsProxyAgent = createHttpsAgent();
async function default_1(url, init) {
    const response = await (0, node_fetch_1.default)(url, {
        ...init,
        ...(exports.httpsProxyAgent ? { agent: exports.httpsProxyAgent } : {}),
    });
    if (response.status >= 400) {
        throw new RequestError(`Request failed: ${response.status} (${response.statusText})`, response);
    }
    return response;
}
exports.default = default_1;
