import { NonInteractiveOptions as EditRolloutNonInteractiveOptions } from './EditRollout';
import { GeneralOptions as EndRolloutGeneralOptions, NonInteractiveOptions as EndRolloutNonInteractiveOptions } from './EndRollout';
import { EASUpdateAction, EASUpdateContext } from '../../eas-update/utils';
import { UpdateChannelBasicInfoFragment } from '../../graphql/generated';
import { UpdateChannelObject } from '../../graphql/queries/ChannelQuery';
export declare enum ManageRolloutActions {
    EDIT = "Edit",
    END = "End",
    VIEW = "View",
    GO_BACK = "Go back"
}
/**
 * Manage a rollout for the project.
 */
export declare class ManageRollout implements EASUpdateAction<EASUpdateAction> {
    private channelInfo;
    private options;
    constructor(channelInfo: UpdateChannelBasicInfoFragment, options: {
        callingAction?: EASUpdateAction;
        action?: ManageRolloutActions.EDIT | ManageRolloutActions.END | ManageRolloutActions.VIEW;
    } & Partial<EditRolloutNonInteractiveOptions> & Partial<EndRolloutNonInteractiveOptions> & EndRolloutGeneralOptions);
    runAsync(ctx: EASUpdateContext): Promise<EASUpdateAction>;
    selectActionAsync(): Promise<ManageRolloutActions>;
    getChannelObjectAsync(ctx: EASUpdateContext): Promise<UpdateChannelObject>;
}
