"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const local_1 = require("../local");
const vcs_1 = require("../vcs");
class NoVcsClient extends vcs_1.Client {
    async getRootPathAsync() {
        return (0, local_1.getRootPath)();
    }
    async makeShallowCopyAsync(destinationPath) {
        const srcPath = (0, local_1.getRootPath)();
        await (0, local_1.makeShallowCopyAsync)(srcPath, destinationPath);
    }
    async isFileIgnoredAsync(filePath) {
        const ignore = new local_1.Ignore((0, local_1.getRootPath)());
        await ignore.initIgnoreAsync();
        return ignore.ignores(filePath);
    }
    canGetLastCommitMessage() {
        return true;
    }
}
exports.default = NoVcsClient;
